GET /employers/{employerId}/uploads/{uploadId}/errors

Get the errors of an upload. Will be an empty array unless upload status is "Error" or "PartiallyProcessed".

Path parameters

  • employerId string(uuid) Required

    Penfold employer UUID

  • uploadId string Required

    Unique identifier for the upload

Query parameters

  • pageSize integer

    The maximum number of records to return per page.

    Minimum value is 100, maximum value is 500. Default value is 200.

  • pageNumber integer

    The page number to return.

    Minimum value is 1. Default value is 1.

Responses

  • 200 application/json

    Retrieved the upload errors successfully.

    Hide response attributes Show response attributes object
    • pageNumber integer

      The current page number.

    • pageSize integer

      The number of items per page.

    • totalItems integer

      The total number of items available.

    • items array[object]

      An array of UploadError objects on the current page.

      Hide items attributes Show items attributes object
      • uploadId string

        ID of the upload where the error occurred.

      • scope string

        The scope of the error. Row indicates an error in a specific row. AllRows indicates an error that applies to all rows. File indicates an error with the file itself.

        Values are File, AllRows, or Row.

      • rowIndex number | null

        The row in the file where the error occurred. Starting at row 1, the first non-header row. Set when scope=Row.

      • code string

        An identifier for the class of the error.

      • message string

        Human readable error message to help diagnose the issue.

  • 401 application/json

    Missing or invalid authentication token

    Hide response attribute Show response attribute object
    • error string Required
  • 404 application/json

    Resource not found

    Hide response attribute Show response attribute object
    • error string Required
  • 500 application/json

    Internal server error

    Hide response attribute Show response attribute object
    • error string Required
GET /employers/{employerId}/uploads/{uploadId}/errors
curl \
 --request GET 'https://partner-api.getpenfold.com/v1/employers/{employerId}/uploads/{uploadId}/errors' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "pageNumber": 1,
  "pageSize": 200,
  "totalItems": 1,
  "items": [
    {
      "uploadId": "string",
      "scope": "File",
      "rowIndex": 42.0,
      "code": "NationalInsuranceNumberInvalid",
      "message": "The provided National Insurance Number is invalid."
    }
  ]
}
Response examples (401)
{
  "error": "unauthorized"
}
Response examples (404)
{
  "error": "not found"
}
Response examples (500)
{
  "error": "internal server error"
}